%define _with_gl		1
%define _with_alsa		1
%define _with_arts		1
%define _with_esd		0
%define _without_vorbis		1
%define _with_menu		1
%define _with_svga		0
%define _without_mga		1
%define _without_xmga		1
%define _without_xvmc		1
%define _with_joystick		0
%define _with_dvdnav		1

# The font size for subtitles : 14, 18, 24 or 28
#%define fontsize	18
# Here, you may easily change to iso-8859-2 if needed
#%define	fontdir		iso-8859-1

# The language to use in mplayer, one of : cz de dk en es fr hu nl no pl ro ru
%define	mplang		en

# where the binary codecs to be installed
%define codecsdir	%{_libdir}/codecs
# essential codecs
%define essential %(cd %{_sourcedir}; ls essential*.tar.bz2 | tail -1)
%define codecsver  %(echo %{essential} | cut -d'.' -f1 | cut -d'-' -f2)

# version of MPlayer itself
#%define ver 20100210
%define ver 1.0rc3

Summary: MPlayer, the Movie Player for Linux.
Name: mplayer
Version: %{ver}
#%define tarball %(cd %{_sourcedir};ls [Mm][Pp]layer-%{ver}.tar.bz2 | tail -n 1)
#%define preversion %(echo %{tarball} | cut -d'.' -f2 | tr -d 0)
#%{?nosrc: %define preversion rcX}
Release: b1
License: GPL
Group: Applications/Multimedia
Source0: http://mplayerhq.hu/MPlayer/releases/%{tarball}
#Source1: http://mplayerhq.hu/MPlayer/releases/font-arial-%{fontdir}.tar.bz2
Source2: http://mplayerhq.hu/MPlayer/releases/codecs/%{essential}
%define skins AlienMind Blue Blue-small BlueHeart Canary CornerMP CornerMP-aqua Cyrus MidnightLove OSX-Blushed OSX-Mod Orange QPlayer WindowsMediaPlayer6 avifile default disappearer gnome handheld hayraphon hwswskin iTunes krystal mentalic neutron phony plastic proton slim softgrip trium xanim xine-lcd xmmplayer new-age

URL: http://mplayerhq.hu/
BuildRoot: %{_tmppath}/%{name}-root
AutoReqProv: no
#Requires: libdvdread, libdvdcss, gtk+, SDL, divx4linux
#Requires: lame, libvorbis
#BuildRequires: libdvdread-devel, divx4linux
#BuildRequires: lame-devel, libvorbis-devel
BuildRequires: /usr/bin/find

BuildRequires: libX11-devel
BuildRequires: libXv-devel
BuildRequires: libXinerama-devel
BuildRequires: audiofile-devel
BuildRequires: zlib-devel
#BuildRequires: arts-devel
BuildArchitectures: i586
Packager: Yuichiro Nakada <berry@po.yui.mine.nu>

%description
MPlayer plays most MPEG, VOB, AVI, VIVO, ASF/WMV, QT/MOV, FLI files,
supported by many native, XAnim, and Win32 DLL codecs. You can watch
VideoCD, SVCD, DVD, 3ivx, and even DivX movies too (and you don't need
the avifile library at all!). The other big feature of mplayer is the
wide range of supported output drivers. It works with X11, Xv, DGA,
OpenGL, SVGAlib, fbdev, AAlib, DirectFB but you can use GGI and SDL
(and this way all their drivers) and some lowlevel card-specific
drivers (for Matrox, 3Dfx and Radeon) too! Most of them support
software or hardware scaling, so you can enjoy movies in fullscreen.
MPlayer supports displaying through some hardware MPEG decoder boards,
such as the DVB and DXR3/Hollywood+ ! And what about the nice big
antialiased shaded subtitles (9 supported types!!!).

Note that this package is only available as source since the license
forbidds binary redistribution.

%Package codecs
Version: %{codecsver}
Release: b1
Summary: Binary codecs used in MPlayer
Group: Applications/Multimedia
Provides: w32codec
Obsoletes: w32codec

%description codecs
All-in-one package of binary codecs used in MPlayer and others
to decode multimedia files.

%prep
if ! [ -f "%{_sourcedir}/%{essential}" ];then
    cat << EOF
    *** 'essential*.tar.bz2' not found.
    *** Download the CODECS of 'All-in-one package' from
    http://www.mplayerhq.hu/homepage/design7/dload.html
EOF
  exit 1
fi

#%setup -q -n MPlayer-%{ver}%{preversion} -a 1 -a 2 -a10
%setup -q -n MPlayer-%{ver} -a 2
#%setup -q -n mplayer-%{ver} -a 2

%build
CFLAGS="-Wall -Wno-uninitialized -Wno-unused-parameter -Wno-unused-variable -Wno-unused-function -Wno-unused-label -Wno-trigraphs -Wno-pointer-sign"
CFLAGS="$CFLAGS $RPM_OPT_FLAGS -ffast-math -finline-functions -funswitch-loops -fgcse-after-reload"
CFLAGS="$CFLAGS -pipe -Os"

find . -name "CVS" | xargs rm -rf
./configure \
	--prefix=%{_prefix} \
	--datadir=%{_datadir}/mplayer \
	--confdir=%{_sysconfdir}/mplayer \
	--enable-largefiles \
	--enable-gui \
	--language=%{mplang} \
	--disable-termcap \
	--disable-lirc --disable-lircc \
	--disable-apple-remote --disable-apple-ir \
	--disable-radio-v4l2 --disable-radio-bsdbt848 \
	--disable-tv --disable-tv-v4l1 --disable-tv-v4l2 \
	--disable-tv-bsdbt848 \
	--disable-pvr --disable-live --disable-nemesi \
	--disable-smb --disable-bitmap-font \
	--disable-faad-internal \
	--disable-tremor-internal \
	--enable-libavcodec_so --enable-libavformat_so \
	--enable-linux-devfs \
	--codecsdir=%{codecsdir} \
%{!?_with_aalib:	--disable-aa} \
%{!?_with_alsa:		--disable-alsa} \
%{!?_with_arts:		--disable-arts} \
%{!?_with_caca:		--disable-caca} \
%{!?_with_cdparanoia:	--disable-cdparanoia} \
%{!?_with_dga1:		--disable-dga1} \
%{!?_with_dga2:		--disable-dga2} \
%{?_with_directfb:	--enable-directfb} \
%{?_without_dts:	--disable-libdts} \
%{!?_with_dvb:		--disable-dvb --disable-dvbhead} \
%{!?_with_dvdnav:	--disable-dvdnav} \
%{!?_with_dxr3:		--disable-dxr3} \
%{?_with_dynamic_plugins:	--enable-dynamic-plugins} \
%{!?_with_enca:		--disable-enca} \
%{!?_with_esd:		--disable-esd} \
%{!?_with_faac:		--disable-faac} \
%{?_with_faad2:		--disable-internal-faad} \
%{!?_without_fbdev:	--enable-fbdev} \
%{?_without_fbdev:	--disable-fbdev} \
%{?_without_fontconfig:	--disable-fontconfig} \
%{!?_with_fribidi:	--disable-fribidi} \
%{?_without_ft2:	--disable-freetype} \
%{!?_with_ggi:		--disable-ggi} \
%{?_without_gif:	--disable-gif} \
%{?_without_gl:		--disable-gl} \
%{!?_with_jack:		--disable-jack} \
%{?_with_joystick:	--enable-joystick} \
%{!?_with_joystick:	--disable-joystick} \
%{?_without_jpeg:	--disable-jpeg} \
%{!?_with_ladspa:	--disable-ladspa} \
%{!?_with_libdv:	--disable-libdv} \
%{?_with_lirc:		--enable-lirc} \
%{!?_with_lirc:		--disable-lirc} \
%{!?_with_lzo:		--disable-liblzo} \
%{?_without_live:	--disable-live} \
%{!?_with_mad:		--disable-mad} \
%{!?_without_menu:	--enable-menu} \
%{!?_without_mga:	--enable-mga} \
%{?_without_mpdvdkit:	--disable-mpdvdkit} \
%{!?_with_openal:	--disable-openal} \
%{?_without_qt:		--disable-qtx} \
%{?_without_real:	--disable-real} \
%{!?_without_real:	--realcodecsdir=%{_codecsdir}} \
%{!?_with_sdl:		--disable-sdl} \
%{?_without_select:	--disable-select} \
%{!?_with_smb:		--disable-smb} \
%{!?_with_speex:	--disable-speex} \
%{!?_with_svga:		--disable-svga} \
%{!?_without_tdfxfb:	--enable-tdfxfb} \
%{?_without_theora:	--disable-theora} \
%{!?_with_toolame:	--disable-toolame} \
%{!?_with_twolame:	--disable-twolame} \
%{?_without_vidix:	--disable-vidix} \
%{!?_with_vm:		--disable-vm} \
%{?_with_vorbis:	--disable-internal-tremor} \
%{?_without_win32:	--disable-win32} \
%{!?_without_win32:	--win32codecsdir=%{_codecsdir}} \
%{!?_with_x264:		--disable-x264} \
%{?_without_xanim:	--disable-xanim} \
%{!?_without_xanim:	--xanimcodecsdir=%{_codecsdir}} \
%{!?_without_xmga:	--enable-xmga} \
%{?_with_xmms:		--enable-xmms} \
%{?_without_xvid:	--disable-xvid} \
%{?_without_xvmc:	--disable-xvmc} \
%{!?_without_xvmc:	--enable-xvmc --with-xvmclib=XvMCW} \
	--disable-ossaudio \
	--enable-runtime-cpudetection
#	--with-csslibdir=/usr/lib \
#	--target=%{_target_platform} \
#	--disable-macosx \
#%{!?_with_polyp:	--disable-polyp} \
#	--disable-dvdread-internal \
#	--disable-libdvdcss-internal \

%{__make} %{?_smp_mflags}

# (changed net_hal)
%install
rm -rf %{buildroot}
make install \
	prefix=%{buildroot}%{_prefix} \
	BINDIR=%{buildroot}%{_prefix}/bin \
	DATADIR=%{buildroot}%{_datadir}/mplayer \
	CONFDIR=%{buildroot}%{_sysconfdir}/mplayer \
	LIBDIR=%{buildroot}%{_libdir} \
	MANDIR=%{buildroot}%{_mandir}

# codecs
%__install -d %{buildroot}%{codecsdir}
%__install essential*/* %{buildroot}%{codecsdir}
#__install extralite/* %{buildroot}%{codecsdir}
#__install win32codecs/* %{buildroot}%{codecsdir}

# codecs.conf
%__install -d %{buildroot}%{_sysconfdir}/mplayer
%__install etc/codecs.conf %{buildroot}%{_sysconfdir}/mplayer

# Overwrite the absolute link that was created
#ln -s -f mplayer %{buildroot}%{_prefix}/bin/gmplayer

# The Skins
mkdir -p %{buildroot}%{_datadir}/mplayer/skins
pushd %{buildroot}%{_datadir}/mplayer/skins
	for skin in %{skins}
	do
	    S=$(ls %{_sourcedir}/${skin}-*.tar.bz2 2> /dev/null | tail -n 1)
	    if [ "${S}" != "" ] ; then
		tar -x -j -f ${S}
	 	[ -s ${skin}*/skin ] || rm -fR ${skin}*
	    fi
	done
#	chmod +r -R *
        if ! ls > /dev/null ; then
		echo "*** You need to download at least one skin."
		exit 2
	fi
	# make symlink if no default skin
	[ -d default ] ||  ln -s $(ls | head -n 1) default
popd

# The font for the subtitles (changed by shino originally form net_hal)
#%__cp -R font-*/font-* %{buildroot}%{_datadir}/mplayer
pushd %{buildroot}%{_datadir}/mplayer
#	[ -d %{buildroot}%{_datadir}/mplayer/font ] && \
#	  rmdir %{buildroot}%{_datadir}/mplayer/font 2>/dev/null
#	ln -s -f font-arial-%{fontsize}-%{fontdir} font
	ln -s /usr/share/fonts/ja/TrueType/ipag.ttf subfont.ttf
popd

# The icon used in the menu entry
install -D -m 644 gui/mplayer/pixmaps/logo.xpm \
	%{buildroot}%{_datadir}/pixmaps/mplayer-logo.xpm

# Last, add a system menu entry!
mkdir -p %{buildroot}/usr/share/applications
cat > %{buildroot}/usr/share/applications/mplayer.desktop << EOF
[Desktop Entry]
Name=MPlayer (DVD/Media Player)
Name[ja]=MPlayer (DVD/メディアプレイヤー)
Comment=The Movie Player for Linux
Comment[ja]=メディアプレイヤー
Comment[pl]=Odtwarzacz Film� pod Linuxa
Exec=gmplayer
Icon=mplayer-logo.xpm
Terminal=0
Type=Application
Categories=X-Red-Hat-Base;Application;AudioVideo;
EOF

#%pre
#[ -d %{_datadir}/mplayer/font ] && \
#	rmdir %{_datadir}/mplayer/font 2>/dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 755)
#%doc [A-L]* [R-Z]* etc/*.conf
%config %{_sysconfdir}/mplayer/codecs.conf
%{_prefix}/bin/mplayer
%{_prefix}/bin/gmplayer
#%{_libdir}/mplayer
#%{_libdir}/*.so*
%{_datadir}/mplayer
%{_datadir}/applications/mplayer.desktop
%{_datadir}/pixmaps/mplayer.xpm
%{_datadir}/pixmaps/mplayer-logo.xpm
#%{_mandir}/man1/*

%files codecs
%defattr(-, root, root, 755)
%{codecsdir}

%changelog
* Fri Jul 16 2010 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 1.0rc3
* Mon Apr 12 2010 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 20100210
* Tue Dec 15 2009 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 20091211
* Wed Oct 21 2009 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0rc4-091021
* Tue Oct 16 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0rc2
* Wed Aug 8 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0rc1try3
* Thu Nov 9 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0rc1
* Fri Apr 25 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from MPLAYERHQ.HU
- mplayer-0.90-1.src.rpm
